[Bug 1598] Document host system requirements

bugzilla at linuxfromscratch.org bugzilla at linuxfromscratch.org
Sat Jan 28 19:54:16 PST 2006


http://bugs.linuxfromscratch.org/show_bug.cgi?id=1598





------- Additional Comments From chris at beaker67.com  2006-01-28 20:54 -------
Just started building a current LFS system with an LFS 3.3 installation (minor
exception being findutils - I used 4.1.20 instead of 4.1 - couldn't find the
patch for 4.1). Actually I did a very minimal build with *only* the packages I
listed here (minus perl). Of course more testing is welcome to see if this
actually results in the same final system as building from a current host, but
it seems to me to be working so far (all toolchain tests have passed in Chapter
6 on the system I'm building). Here's another updated list of Host System Reqs.,
based on the versions used in LFS 3.3...

bash >= 2.05a
binutils >= 2.12
bzip2 >= 1.0.2
coreutils >= 5.0 (or sh-utils >= 2.0, textutils >= 2.0, and fileutils >= 4.1)
diffutils >= 2.7
findutils >= 4.1.20
gawk >= 3.0
gcc >= 2.95.3
glibc >= 2.2.5
grep >= 2.5
gzip >= 1.2.4
make >= 3.79.1
patch >= 2.5.4
sed >= 3.02
tar >= 1.12



------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.
You are the QA contact for the bug, or are watching the QA contact.



More information about the lfs-book mailing list